from dataProcess import *
from diaryTraining import *
import time
from utils import *


# 把数据获取、特征转换、模型训练的模型串联在一起
if __name__ == "__main__":
    # while True:
    #     now = datetime.now()
    #     if (now.hour == 23) and (now.minute == 30):
    start_train = time.time()
    data_start_date, data_end_date, validation_date, test_date = get_date()
    data, test_number, validation_number = feature_en(data_start_date, data_end_date,
                                                      validation_date,test_date)
    ffm_transform(data, test_number, validation_number)
    train()
    end_train = time.time()
    print("训练模型耗时{}分".format((end_train-start_train)/60))
    move_file()









